Apache JMeter

## org.apache.jmeter.threads
Class SamplePackage

    java.lang.Object
      org.apache.jmeter.threads.SamplePackage

    public class SamplePackage

extends Object

Packages methods related to sample handling.

Constructor Summary
`SamplePackage()`
`SamplePackage(List<ConfigTestElement> configs, List<?> modifiers, List<?> responseModifiers, List<SampleListener> listeners, List<Timer> timers, List<Assertion> assertions, List<PostProcessor> postProcessors, List<PreProcessor> preProcessors, List<TestElement> controllers)`

Method Summary
`void` `addAssertion(Assertion asser)`
`void` `addPostProcessor(PostProcessor ex)`
`void` `addPreProcessor(PreProcessor pre)`
`void` `addSampleListener(SampleListener listener)`
`void` `addTimer(Timer timer)`
`List<Assertion>` `getAssertions()`
`List<ConfigTestElement>` `getConfigs()` Returns the configs.
`List<?>` `getModifiers()` Returns the modifiers.
`List<PostProcessor>` `getPostProcessors()`
`List<PreProcessor>` `getPreProcessors()` Returns the preProcessors.
`List<?>` `getResponseModifiers()` Returns the responseModifiers.
`List<SampleListener>` `getSampleListeners()`
`Sampler` `getSampler()`
`List<Timer>` `getTimers()`
`void` `recoverRunningVersion()`
`void` `setAssertions(List<Assertion> assertions)` Sets the assertions.
`void` `setConfigs(List<ConfigTestElement> configs)` Sets the configs.
`void` `setModifiers(List<?> modifiers)` Sets the modifiers.
`void` `setPostProcessors(List<PostProcessor> postProcessors)` Sets the postProcessors.
`void` `setPreProcessors(List<PreProcessor> preProcessors)` Sets the preProcessors.
`void` `setResponseModifiers(List<?> responseModifiers)` Sets the responseModifiers.
`void` `setRunningVersion(boolean running)`
`void` `setSampleListeners(List<SampleListener> sampleListeners)` Sets the sampleListeners.
`void` `setSampler(Sampler s)`
`void` `setTimers(List<Timer> timers)` Sets the timers.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SamplePackage

    public SamplePackage()

### SamplePackage

    public SamplePackage(List<ConfigTestElement> configs,
                         List<?> modifiers,
                         List<?> responseModifiers,
                         List<SampleListener> listeners,
                         List<Timer> timers,
                         List<Assertion> assertions,
                         List<PostProcessor> postProcessors,
                         List<PreProcessor> preProcessors,
                         List<TestElement> controllers)

Method Detail

### setRunningVersion

    public void setRunningVersion(boolean running)

### recoverRunningVersion

    public void recoverRunningVersion()

### getSampleListeners

    public List<SampleListener> getSampleListeners()

### addSampleListener

    public void addSampleListener(SampleListener listener)

### getTimers

    public List<Timer> getTimers()

### addPostProcessor

    public void addPostProcessor(PostProcessor ex)

### addPreProcessor

    public void addPreProcessor(PreProcessor pre)

### addTimer

    public void addTimer(Timer timer)

### addAssertion

    public void addAssertion(Assertion asser)

### getAssertions

    public List<Assertion> getAssertions()

### getPostProcessors

    public List<PostProcessor> getPostProcessors()

### getSampler

    public Sampler getSampler()

### setSampler

    public void setSampler(Sampler s)

### getPreProcessors

    public List<PreProcessor> getPreProcessors()

  Returns the preProcessors.

### setPreProcessors

    public void setPreProcessors(List<PreProcessor> preProcessors)

  Sets the preProcessors.

  Parameters:
    `preProcessors` - the preProcessors to set

### getConfigs

    public List<ConfigTestElement> getConfigs()

  Returns the configs.

  Returns:
    List

### getModifiers

    public List<?> getModifiers()

  Returns the modifiers.

### getResponseModifiers

    public List<?> getResponseModifiers()

  Returns the responseModifiers.

### setAssertions

    public void setAssertions(List<Assertion> assertions)

  Sets the assertions.

  Parameters:
    `assertions` - the assertions to set

### setConfigs

    public void setConfigs(List<ConfigTestElement> configs)

  Sets the configs.

  Parameters:
    `configs` - the configs to set

### setModifiers

    public void setModifiers(List<?> modifiers)

  Sets the modifiers.

  Parameters:
    `modifiers` - the modifiers to set

### setPostProcessors

    public void setPostProcessors(List<PostProcessor> postProcessors)

  Sets the postProcessors.

  Parameters:
    `postProcessors` - the postProcessors to set

### setResponseModifiers

    public void setResponseModifiers(List<?> responseModifiers)

  Sets the responseModifiers.

  Parameters:
    `responseModifiers` - the responseModifiers to set

### setSampleListeners

    public void setSampleListeners(List<SampleListener> sampleListeners)

  Sets the sampleListeners.

  Parameters:
    `sampleListeners` - the sampleListeners to set

### setTimers

    public void setTimers(List<Timer> timers)

  Sets the timers.

  Parameters:
    `timers` - the timers to set

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.